<?php

include('includes/global.php');

function ShowStatTable()
{
  global $Database, $Config;
  
  $LanguageId = LoadLanguageIdParameter();
  $BuildNumber = GetBuildNumber($Config['Web']['GameVersion']);
  
  $GroupListQuery = 'SELECT `Group`.* FROM `Group`';
  $Query = '';
  $DbResult = $Database->SQLCommand($GroupListQuery);
  while($DbRow = mysql_fetch_assoc($DbResult))
  {
    $Query .= 'SELECT (SELECT COUNT(DISTINCT(`Entry`)) FROM ('.
    ' SELECT `T`.* FROM `Translation` AS `T`'.
    ' WHERE (`Group` = '.$DbRow['Id'].') AND (`Complete` = 1) AND (`Language`='.$LanguageId.') AND (`VersionStart` <= '.$BuildNumber.') AND (`VersionEnd` >= '.$BuildNumber.')'.
    ') AS `C1`) AS `Translated`, '.
    '(SELECT COUNT(DISTINCT(`Entry`)) FROM ('.
    ' SELECT `T`.* FROM `Translation` AS `T`'.
    ' WHERE (`Group` = '.$DbRow['Id'].') AND (`Language` = 0) AND (`VersionStart` <= '.$BuildNumber.') AND (`VersionEnd` >= '.$BuildNumber.')'.
    ') AS `C2`) AS `Total`, "'.$DbRow['Name'].'" AS `Name` UNION ';
  }
  $Query = substr($Query, 0, - 6);

  $DbResult = $Database->SQLCommand('SELECT COUNT(*) FROM ('.$GroupListQuery.') AS `T`');
  $DbRow = mysql_fetch_row($DbResult);
  $PageList = GetPageList($DbRow[0]);  
  echo($PageList['Output']);
  
  echo('<table class="BaseTable">');
  $TableColumns = array(
    array('Name' => 'Name', 'Title' => 'Jméno'), 
    array('Name' => 'Translated', 'Title' => 'Přeložených'), 
    array('Name' => 'Total', 'Title' => 'Anglických'), 
    array('Name' => 'Percent', 'Title' => 'Procenta'), 
  );

  $Order = GetOrderTableHeader($TableColumns, 'Name', 0);
  echo($Order['Output']);

  $Translated = 0;
  $Total = 0;
  $ID = $Database->SQLCommand('SELECT *, ROUND(`Translated` / `Total` * 100, 2) AS `Percent` FROM ('.$Query.') AS `C3` '.$Order['SQL'].$PageList['SQLLimit']);
  while($Group = mysql_fetch_assoc($ID)) 
  {
    echo('<tr><td>'.$Group['Name'].'</td><td>'.$Group['Translated'].'</td><td>'.$Group['Total'].'</td><td>'.ProgressBar(150, $Group['Percent']).'</td></tr>');
    $Translated += $Group['Translated'];
    $Total += $Group['Total'];
  }
  echo('<tr><td><strong>Celkem</strong></td><td><strong>'.$Translated.'</strong></td><td><strong>'.$Total.'</strong></td><td><strong>'.ProgressBar(150, round($Translated / $Total * 100, 2)).'</strong></td></tr>');
  echo('</table>');
}

ShowPage();

echo('<h3>Statistika dokončení překladů pro verzi '.$Config['Web']['GameVersion'].'</h3><br/>Jazyk: <a href="statistic.php">Dohromady</a>');
foreach($LanguageList as $Language) 
  if($Language['Enabled'] == 1) echo(' <a href="?language='.$Language['Id'].'">'.$Language['Name'].'</a>');

echo('<br/><br/>');

ShowStatTable();

echo('<br/><p><strong>Celková statistika v závislosti na čase: </strong><a href="http://stat.zdechov.net/game/?Measure=18">Počet přeložených textů</a></p>
<div>Počet stáhnutí přeložených textů v SQL souboru: <strong>');
       
$ID = $Database->SQLCommand('SELECT count(distinct(`IP`)) FROM `Log` WHERE `Type` = 2');
$Line = mysql_fetch_row($ID);
echo($Line[0]);

echo('</strong></div>
<div>Počet stáhnutí: <strong>');
      
$ID = $Database->SQLCommand('SELECT count(distinct(`IP`)) FROM `Log` WHERE `Type` = 0');
$Line = mysql_fetch_row($ID);
echo($Line[0]);

echo('</strong></div>');

ShowFooter();      

?>
